# marketplace-api.api.CategoriesApi

## Load the API package
```dart
import 'package:marketplace-api/api.dart';
```

All URIs are relative to *https://b2qycsxim5.execute-api.us-east-1.amazonaws.com/development*

Method | HTTP request | Description
------------- | ------------- | -------------
[**categoriesCategoryIdDelete**](CategoriesApi.md#categoriesCategoryIdDelete) | **DELETE** /categories/{categoryId} | Delete category
[**categoriesCategoryIdGet**](CategoriesApi.md#categoriesCategoryIdGet) | **GET** /categories/{categoryId} | Get Category by Id
[**categoriesCategoryIdPut**](CategoriesApi.md#categoriesCategoryIdPut) | **PUT** /categories/{categoryId} | Replace category
[**categoriesGet**](CategoriesApi.md#categoriesGet) | **GET** /categories | Get all categories
[**categoriesPost**](CategoriesApi.md#categoriesPost) | **POST** /categories | Add category


# **categoriesCategoryIdDelete**
> categoriesCategoryIdDelete(categoryId)

Delete category

Delete a category in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CategoriesApi();
var categoryId = categoryId_example; // String | Assigned Id of the category you are deleting.

try { 
    api_instance.categoriesCategoryIdDelete(categoryId);
} catch (e) {
    print("Exception when calling CategoriesApi->categoriesCategoryIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **categoryId** | **String**| Assigned Id of the category you are deleting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **categoriesCategoryIdGet**
> categoriesCategoryIdGet(categoryId)

Get Category by Id

Get a category by using the assigned Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CategoriesApi();
var categoryId = categoryId_example; // String | Assigned Id of the category you are getting

try { 
    api_instance.categoriesCategoryIdGet(categoryId);
} catch (e) {
    print("Exception when calling CategoriesApi->categoriesCategoryIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **categoryId** | **String**| Assigned Id of the category you are getting | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **categoriesCategoryIdPut**
> categoriesCategoryIdPut(categoryId)

Replace category

Replace a category in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CategoriesApi();
var categoryId = categoryId_example; // String | Assigned Id of the category you are replacing.

try { 
    api_instance.categoriesCategoryIdPut(categoryId);
} catch (e) {
    print("Exception when calling CategoriesApi->categoriesCategoryIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **categoryId** | **String**| Assigned Id of the category you are replacing. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **categoriesGet**
> categoriesGet()

Get all categories

Get all categories in the marketplace.

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CategoriesApi();

try { 
    api_instance.categoriesGet();
} catch (e) {
    print("Exception when calling CategoriesApi->categoriesGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **categoriesPost**
> categoriesPost(category)

Add category

Add a category to the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CategoriesApi();
var category = new Category(); // Category | 

try { 
    api_instance.categoriesPost(category);
} catch (e) {
    print("Exception when calling CategoriesApi->categoriesPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **category** | [**Category**](Category.md)|  | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

