# marketplace-api.api.CustomersApi

## Load the API package
```dart
import 'package:marketplace-api/api.dart';
```

All URIs are relative to *https://b2qycsxim5.execute-api.us-east-1.amazonaws.com/development*

Method | HTTP request | Description
------------- | ------------- | -------------
[**customersCustomerIdDelete**](CustomersApi.md#customersCustomerIdDelete) | **DELETE** /customers/{customerId} | Delete Customer in marketplace
[**customersCustomerIdGet**](CustomersApi.md#customersCustomerIdGet) | **GET** /customers/{customerId} | Get Customer
[**customersCustomerIdPut**](CustomersApi.md#customersCustomerIdPut) | **PUT** /customers/{customerId} | Replace Customer
[**customersGet**](CustomersApi.md#customersGet) | **GET** /customers | Get all Customers
[**customersPost**](CustomersApi.md#customersPost) | **POST** /customers | Add Customer


# **customersCustomerIdDelete**
> customersCustomerIdDelete(customerId)

Delete Customer in marketplace

Delete a Customer in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CustomersApi();
var customerId = customerId_example; // String | Assigned Id of the Customer you are deleting.

try { 
    api_instance.customersCustomerIdDelete(customerId);
} catch (e) {
    print("Exception when calling CustomersApi->customersCustomerIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerId** | **String**| Assigned Id of the Customer you are deleting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **customersCustomerIdGet**
> customersCustomerIdGet(customerId)

Get Customer

Get a Customer in the marketplace by assigned Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CustomersApi();
var customerId = customerId_example; // String | Assigned Id of the Customer you are getting.

try { 
    api_instance.customersCustomerIdGet(customerId);
} catch (e) {
    print("Exception when calling CustomersApi->customersCustomerIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerId** | **String**| Assigned Id of the Customer you are getting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **customersCustomerIdPut**
> customersCustomerIdPut(customerId)

Replace Customer

Replace a Customer in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CustomersApi();
var customerId = customerId_example; // String | Assigned Id of the Customer you are looking to replace.

try { 
    api_instance.customersCustomerIdPut(customerId);
} catch (e) {
    print("Exception when calling CustomersApi->customersCustomerIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerId** | **String**| Assigned Id of the Customer you are looking to replace. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **customersGet**
> customersGet()

Get all Customers

Get all Customers in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CustomersApi();

try { 
    api_instance.customersGet();
} catch (e) {
    print("Exception when calling CustomersApi->customersGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **customersPost**
> customersPost(customer)

Add Customer

Add a Customer to the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new CustomersApi();
var customer = new Customer(); // Customer | 

try { 
    api_instance.customersPost(customer);
} catch (e) {
    print("Exception when calling CustomersApi->customersPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customer** | [**Customer**](Customer.md)|  | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

