# marketplace-api.api.OrdersApi

## Load the API package
```dart
import 'package:marketplace-api/api.dart';
```

All URIs are relative to *https://b2qycsxim5.execute-api.us-east-1.amazonaws.com/development*

Method | HTTP request | Description
------------- | ------------- | -------------
[**orderOrderIdDelete**](OrdersApi.md#orderOrderIdDelete) | **DELETE** /order/{orderId} | Delete Order in marketplace
[**orderOrderIdGet**](OrdersApi.md#orderOrderIdGet) | **GET** /order/{orderId} | Get Order
[**orderOrderIdPut**](OrdersApi.md#orderOrderIdPut) | **PUT** /order/{orderId} | Replace Order
[**orderStatusStatusGet**](OrdersApi.md#orderStatusStatusGet) | **GET** /order/status/{status} | Get All Orders with status
[**ordersGet**](OrdersApi.md#ordersGet) | **GET** /orders | Get all Orders
[**ordersPost**](OrdersApi.md#ordersPost) | **POST** /orders | Add order


# **orderOrderIdDelete**
> orderOrderIdDelete(orderId)

Delete Order in marketplace

Delet Order in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new OrdersApi();
var orderId = orderId_example; // String | Assigned Id of the Orders you are deleting.

try { 
    api_instance.orderOrderIdDelete(orderId);
} catch (e) {
    print("Exception when calling OrdersApi->orderOrderIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **orderId** | **String**| Assigned Id of the Orders you are deleting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **orderOrderIdGet**
> orderOrderIdGet(orderId)

Get Order

Get Order in the marketplace by Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new OrdersApi();
var orderId = orderId_example; // String | Assigned Id of the Order you are getting.

try { 
    api_instance.orderOrderIdGet(orderId);
} catch (e) {
    print("Exception when calling OrdersApi->orderOrderIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **orderId** | **String**| Assigned Id of the Order you are getting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **orderOrderIdPut**
> orderOrderIdPut(orderId)

Replace Order

Replace Order in the marketplace by assigned Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new OrdersApi();
var orderId = orderId_example; // String | Assigned Id of the Orders you are replacing.

try { 
    api_instance.orderOrderIdPut(orderId);
} catch (e) {
    print("Exception when calling OrdersApi->orderOrderIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **orderId** | **String**| Assigned Id of the Orders you are replacing. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **orderStatusStatusGet**
> orderStatusStatusGet(status)

Get All Orders with status

Get All Order in the marketplace by status

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new OrdersApi();
var status = status_example; // String | Status of the Order you are getting.

try { 
    api_instance.orderStatusStatusGet(status);
} catch (e) {
    print("Exception when calling OrdersApi->orderStatusStatusGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **status** | **String**| Status of the Order you are getting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ordersGet**
> ordersGet()

Get all Orders

Get all Orders in the marketplace.

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new OrdersApi();

try { 
    api_instance.ordersGet();
} catch (e) {
    print("Exception when calling OrdersApi->ordersGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ordersPost**
> ordersPost(order)

Add order

Add order to the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new OrdersApi();
var order = new Order(); // Order | 

try { 
    api_instance.ordersPost(order);
} catch (e) {
    print("Exception when calling OrdersApi->ordersPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **order** | [**Order**](Order.md)|  | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

