# marketplace-api.api.ProductsApi

## Load the API package
```dart
import 'package:marketplace-api/api.dart';
```

All URIs are relative to *https://b2qycsxim5.execute-api.us-east-1.amazonaws.com/development*

Method | HTTP request | Description
------------- | ------------- | -------------
[**productsCategoryCategoryIdGet**](ProductsApi.md#productsCategoryCategoryIdGet) | **GET** /products/category/{categoryId} | Get product by category Id
[**productsGet**](ProductsApi.md#productsGet) | **GET** /products | Get all products
[**productsPost**](ProductsApi.md#productsPost) | **POST** /products | Add product
[**productsProductIdDelete**](ProductsApi.md#productsProductIdDelete) | **DELETE** /products/{productId} | Delete product in marketplace
[**productsProductIdGet**](ProductsApi.md#productsProductIdGet) | **GET** /products/{productId} | Get product
[**productsProductIdPut**](ProductsApi.md#productsProductIdPut) | **PUT** /products/{productId} | Replace product


# **productsCategoryCategoryIdGet**
> productsCategoryCategoryIdGet(categoryId)

Get product by category Id

Get a product in the marketplace by an assigned Category Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new ProductsApi();
var categoryId = categoryId_example; // String | Assigned Id of the category who's products you are getting

try { 
    api_instance.productsCategoryCategoryIdGet(categoryId);
} catch (e) {
    print("Exception when calling ProductsApi->productsCategoryCategoryIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **categoryId** | **String**| Assigned Id of the category who&#39;s products you are getting | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **productsGet**
> productsGet()

Get all products

Get all products in the marketplace.

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new ProductsApi();

try { 
    api_instance.productsGet();
} catch (e) {
    print("Exception when calling ProductsApi->productsGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **productsPost**
> productsPost(product)

Add product

Add a product to the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new ProductsApi();
var product = new Product(); // Product | 

try { 
    api_instance.productsPost(product);
} catch (e) {
    print("Exception when calling ProductsApi->productsPost: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product** | [**Product**](Product.md)|  | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **productsProductIdDelete**
> productsProductIdDelete(productId)

Delete product in marketplace

Replace a category in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new ProductsApi();
var productId = productId_example; // String | Id of the product you are looking to delete.

try { 
    api_instance.productsProductIdDelete(productId);
} catch (e) {
    print("Exception when calling ProductsApi->productsProductIdDelete: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **productId** | **String**| Id of the product you are looking to delete. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **productsProductIdGet**
> productsProductIdGet(productId)

Get product

Get a product in the marketplace by Id

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new ProductsApi();
var productId = productId_example; // String | Assigned Id of the product you are getting.

try { 
    api_instance.productsProductIdGet(productId);
} catch (e) {
    print("Exception when calling ProductsApi->productsProductIdGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **productId** | **String**| Assigned Id of the product you are getting. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **productsProductIdPut**
> productsProductIdPut(productId)

Replace product

Replace a product in the marketplace

### Example 
```dart
import 'package:marketplace-api/api.dart';
// TODO Configure OAuth2 access token for authorization: application
//marketplace-api.api.Configuration.accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = new ProductsApi();
var productId = productId_example; // String | Assigned Id of the product you are replacing.

try { 
    api_instance.productsProductIdPut(productId);
} catch (e) {
    print("Exception when calling ProductsApi->productsProductIdPut: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **productId** | **String**| Assigned Id of the product you are replacing. | 

### Return type

void (empty response body)

### Authorization

[application](../README.md#application)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

